"{ Package: 'stx:goodies/monticello' }"

PackageInfo subclass:#MCStXPackageInfo
	instanceVariableNames:'projectDefinition'
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-St/X support'
!


!MCStXPackageInfo methodsFor:'accessing'!

classes

    | classes |

    classes := self projectDefinition classes.
    "/ cg: not true; the projectDefinition is part of the package; at least for st/x packages.
    "/ classes remove: self projectDefinition ifAbsent:[].
    ^classes

    "Created: / 23-08-2011 / 11:55:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 02-12-2011 / 15:56:35 / cg"
!

extensionMethods

    ^self projectDefinition extensionMethods

    "Created: / 23-08-2011 / 11:58:42 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

projectDefinition

    projectDefinition isNil ifTrue:[
        projectDefinition := 
            (LibraryDefinition
                definitionClassForPackage: name
                createIfAbsent: true 
                projectType: nil)
    ].
    ^projectDefinition

    "Created: / 23-08-2011 / 13:37:55 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

systemCategories

    | cats |
    cats := Set new.
    self classes do:[:cls|cats add: cls category].
    ^cats

    "Created: / 23-08-2011 / 13:45:52 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!MCStXPackageInfo class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCStXPackageInfo.st,v 1.3 2011-12-04 14:42:36 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCStXPackageInfo.st,v 1.3 2011-12-04 14:42:36 cg Exp $'
! !
